Module | ActionView::Helpers::DebugHelper
In: | lib/action_view/helpers/debug_helper.rb

Provides a set of methods for making it easier to locate problems.

### Methods

debug

### Public Instance methods

debug(object)

Returns a <pre>-tag set with the `object` dumped by YAML. Very readable way to inspect an object.

     my_hash = {'first' => 1, 'second' => 'two', 'third' => [1,2,3]}
     debug(my_hash)
     => <pre class='debug_dump'>---
     first: 1
     second: two
     third:
     - 1
     - 2
     - 3
     </pre>

[Validate]